/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_LAYOUT_MUSIC_H__
#define __AIR_MEDIAHUB_LAYOUT_MUSIC_H__

/* layout */
#define LAYOUT_MUSIC "LAYOUT_MUSIC"

/* group */
#define GRP_MUSIC_LAYOUT "group.music_layout"

/* part */
#define PART_PLAYING_CONTENT_THUMBNAIL "part.playing_content_thumbnail"
#define PART_PLAYING_CONTENT_FAVORITE "part.playing_content_favorite"
#define PART_PLAYING_CONTENT_TITLE "part.playing_content_title"
#define PART_PLAYING_CONTENT_ARTIST "part.playing_content_artist"
#define PART_PLAYING_CONTENT_ALBUM "part.playing_content_album"

/* signal */
#define SIG_PLAYING_SHOW_FAV "show,favorite"
#define SIG_PLAYING_HIDE_FAV "hide,favorite"

/* style */
#define STYLE_GRID_SONG_ITEM "song_item"
#define STYLE_BTN_PLAYING_CONTENT "base_btn_playing"

#endif /* __AIR_MEDIAHUB_LAYOUT_MUSIC_H__ */
